---
lang: en
title: 'API docs: security.userprofile'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/security
permalink: /doc/en/lb4/apidocs.security.userprofile.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/security](./security.md) &gt; [UserProfile](./security.userprofile.md)

## UserProfile interface

The minimum set of attributes that describe a user.

<b>Signature:</b>

```typescript
export interface UserProfile extends Principal 
```
<b>Extends:</b> [Principal](./security.principal.md)

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [email](./security.userprofile.email.md) | string |  |
|  [name](./security.userprofile.name.md) | string |  |


